Subject: RE: Problems with find -exec somecommand | tosomeother command
From: Barry Buchbinder <[email-masked]>
To: Cygwin <[email-masked]>
Cc: [email-masked]
Date: Fri, 4 Oct 2002 13:06:28 -0700 (PDT)

Assuming none of the files have any spaces in their
names, the following would be faster (and works).
  wc -l `find . -name \*.frm -print`

- Barry

-----Original Message-----
From: Sheryl McKeown [mailto:[email-masked]]
Sent: Friday, October 04, 2002 2:39 pm
To: [email-masked]
Subject: Problems with find -exec somecommand |
tosomeother command

Hello,

I'm attempting to find the number of lines in each
file of a source directory.

Using bash, I'm using the following command:

find . -name "*.frm" -exec cat -n {} | tail -n1 \;
but it returns the error 

cfind: missing argument to `-exec'
tail: ;: No such file or directory

I've tried various quoting schemes but I can't seem to
get it to work.

I am running XP Prof SP1.

Any help is appreciated.

-Sheryl

__________________________________________________
Do you Yahoo!?
New DSL Internet Access from SBC & Yahoo!
http://sbc.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/